#define L2NUMROWS 5
#define L3NUMROWS 525
#define NUMROWS 525
#define NUMCOLS 858 //doing a 16 bit transfer
#define TRANSFER_LENGTH 4
#define NUM_BUFFERS 4

//Can have just one buffer or 2 or more buffers based on the computation
//requirements and L2 space constraints

//the buffers in L2 can be either cached or DMA'ed to L1
//or accessed directly from L2

//Using DMA for L2 to L1 transfers:- 
//It is useful if the objective is to reduce the L3 bandwidth
//Performance wise the DMA transfer between L3->L1 or L2->L1 will be
//almost the same

//Using cache for L2 to L1 transfers:-
//This would be necessary if there is dependency within the slices
//It would severely impact the performance if we would have to respect dependencies
//by using DMA. cache is also better if there is reuse among the frame data

extern char sFrame0IN[];
extern char sFrame1IN[];
extern char sFrame2IN[];
extern char sFrame3IN[];

extern char sFrameRef[];
extern char sFrame0OUT[];
extern char sFrame1OUT[];
extern char sFrame2OUT[];
extern char sFrame3OUT[];

extern char L2_slice0[];
extern char L2_slice1[];
extern char L2_slice2[];
extern char L2_slice_Out[];

extern volatile u8 ButtonPressed;

extern ADI_DEV_2D_BUFFER Buffer2D_IN[NUM_BUFFERS];
extern ADI_DEV_2D_BUFFER Buffer2D_OUT[NUM_BUFFERS];
